package com.addressbook;

public class AddressBookProxy implements com.addressbook.AddressBook {
  private String _endpoint = null;
  private com.addressbook.AddressBook addressBook = null;
  
  public AddressBookProxy() {
    _initAddressBookProxy();
  }
  
  private void _initAddressBookProxy() {
    try {
      addressBook = (new com.addressbook.AddressBookServiceLocator()).getAddressBook();
      if (addressBook != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)addressBook)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)addressBook)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (addressBook != null)
      ((javax.xml.rpc.Stub)addressBook)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public com.addressbook.AddressBook getAddressBook() {
    if (addressBook == null)
      _initAddressBookProxy();
    return addressBook;
  }
  
  public void saveAddress(com.addressbook.PersonType person) throws java.rmi.RemoteException{
    if (addressBook == null)
      _initAddressBookProxy();
    addressBook.saveAddress(person);
  }
  
  public com.addressbook.AddressType findAddress(java.lang.String name) throws java.rmi.RemoteException{
    if (addressBook == null)
      _initAddressBookProxy();
    return addressBook.findAddress(name);
  }
  
  
}